#!/usr/bin/perl -w
#
# Licensed Materials - Property of IBM
#
# (C) Copyright IBM Corp. 2009, 2013 All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplicate or
# disclosure restricted by GSA ADP Schedule Contract with
# IBM Corp.


use warnings;
use strict;
use Getopt::Long;

my %options = ();

if (! (GetOptions (\%options, 'accepted=s' ))) {
    exit (1); 
}

print "AE: Check if the license is accpeted ...\n";
my $accpet =$options{accepted};
if ( $accpet =~ /\byes\b/i) {
    print "The license is accepted, continue other configurations ...\n";
    exit (0);
}
else{
    print "The license isn't accepted, clear the AR directory and shutdown system ...\n";
    unlink glob "/opt/ibm/ae/AR/*";
    # the file in AP dir also need to be removed, otherwize the vm cannot be start up anymore!
    unlink glob "/opt/ibm/ae/AP/*";
    system "shutdown -h now";
    exit (1);
}
