# Licensed Materials - Property of IBM
#
# (C) Copyright IBM Corp. 2010, 2011 All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplicate or
# disclosure restricted by GSA ADP Schedule Contract with
# IBM Corp.
# IBM_COPYRIGHT_END



crt_arp_rsrc () {
	
    debug "Create the arp resources"
    mkrsrc IBM.Application \
    Name="arping" \
    StartCommand="$ARP_MONITOR_SCRIPT start" \
    StopCommand="$ARP_MONITOR_SCRIPT stop" \
    MonitorCommand="$ARP_MONITOR_SCRIPT status" \
    MonitorCommandPeriod=60 \
    MonitorCommandTimeout=60 \
    NodeNameList="{'$HOST','$node'}" \
    StartCommandTimeout=60 \
    StopCommandTimeout=60 \
    UserName="root" \
    ResourceType=1
    
    # create the resource group
    add_to_rg arping IBM.Application $DIRECTOR_RG $ADDRGMBR_ORDER
}
