# Licensed Materials - Property of IBM
#
# 09N6996
#
# (C) Copyright IBM Corp. 2011 All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplicate or
# disclosure restricted by GSA ADP Schedule Contract with
# IBM Corp.

PROGNAME=$(basename $0)
PROGPATH=$(dirname $0)
#### Use a special path for TSA monitoring scripts
PATH=/bin:/usr/bin:/sbin:/usr/sbin:/usr/sbin/rsct/bin
export PATH

#### Standard code to find an pull in all sm common code ####
# Use the specified path to this command, then working directory, then path
PATH=$PROGPATH:`pwd`:$PATH
CMDFINDER=which
CMD_DIR=`$CMDFINDER $PROGNAME`
CMD_DIR=`dirname $CMD_DIR`

COMMON_CODE=$CMD_DIR/../include/smhacommon.sh

if [ -f $COMMON_CODE ]; then
    source $COMMON_CODE
else
    echo "$PROGNAME:Common code not found."
    exit 1
fi
#############################################################

RSRC_ACTION=stop
RSRC_NAME=${SMHA_DB2_DB_RSRC_NAME}

load_common_code $INSTALL_DIR/ha/bin/test/smhatestcom.sh

# RC set in smhatestcom.sh

exit $RC
